//@ts-ignore
import React, { Component } from 'react';
import { RulerLine, SignToolSettings } from '../ViewerOptions';
export type CanvasRulerProps = {
    settings: SignToolSettings;
    toolType: 'Draw' | 'Type' | 'Image';
};
export declare class CanvasRuler extends Component<CanvasRulerProps, any> {
    constructor(props: CanvasRulerProps, state: any);
    get settings(): SignToolSettings;
    get canvasSize(): {
        width: number;
        height: number;
    };
    getRulerLines(): RulerLine[] | null;
    ensureRulerColor(color?: string): string;
    ensureRulerSize(size?: number): number;
    /**
     * The vertical position of the ruler as a percentage, starting from the bottom.
     * The valid value must be in the range 0-100.
     **/
    ensureRulerPosition(position?: number): number;
//@ts-ignore
//@ts-ignore
    render(): React.JSX.Element | null;
}
